Great Game Products

  home | help | dashboard | my tickets | contact us | login
Help Center


Q&A Directory
    Bridge Baron 23
        MAC
 
            BB23 installation failed error (certificate expired)
            Installer will not run and something different opens up (extension mapping issue)
            When I double click on Bridge Baron setup I get a message that says “Setup can’t be installed because it is from an unidentified developer and I can only install things from the app store”
            Bridge Baron 21 or older will not install on MAC OS 10.7 or 10.8
            Purchase lessons from a MAC
            Creating and saving conventions to use during gameplay
 

Installer will not run and something different opens up (extension mapping issue)
 
Right click on the installer file and navigate to HardDrive-System-Library-CoreServices-Installer make it the default and open the file.